$ErrorActionPreference = 'Stop';

$packageName= 'invantive-bridge-connectors-power-bi'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Bridge%20Connectors%20for%20Power%20BI-20.0.64.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Bridge%20Connectors%20for%20Power%20BI-20.0.64.msi'
  softwareName = 'Invantive Bridge Connectors for Power BI'
  checksum = '23D176EF54361E8F326B078C82A94CA82A2C96CBB2025559CA81EEB70533B170'
  checksumType = 'sha256'
  checksum64 = '23D176EF54361E8F326B078C82A94CA82A2C96CBB2025559CA81EEB70533B170'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-bridge-connectors-power-bi-20.0.64-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
